%define threading  1

%define _prefix         /usr/local
%define _exec_prefix    %{_prefix}
%define _bindir         %{_exec_prefix}/bin
%define _sbindir        %{_exec_prefix}/sbin
%define _libexecdir     %{_exec_prefix}/libexec
%define _datadir        %{_prefix}/share
%define _sysconfdir     %{_prefix}/etc
%define _sharedstatedir %{_prefix}/com
%define _localstatedir  %{_prefix}/var
%define _lib            lib
%define _libdir         %{_exec_prefix}/%{_lib}
%define _includedir     %{_prefix}/include
%define _oldincludedir  /usr/include
%define _infodir        %{_prefix}/info
%define _mandir         %{_datadir}/man

%define __perl_requires %{nil}
%define __find_requires %{nil}

%define perl_version    5.12.1
%if %{threading}
%define perl_arch_stem -thread-multi
%else
%define perl_arch_stem %{nil}
%endif
%define perl_archname %{_arch}-%{_os}%{perl_arch_stem}

%define multilib_64_archs x86_64 s390x ppc64 sparc64
Name:           upenn-perl
Version:        %{perl_version}
Release:        3
Summary:        The Perl programming language, local build
Group:          Development/Languages
License:        (GPL+ or Artistic) and (GPLv2+ or Artistic)
Url:            http://www.perl.org/
Source:         http://www.cpan.org/src/5.0/perl-%{perl_version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{perl_version}-%{release}-root
BuildRequires:  dos2unix, man, groff
BuildRequires:  db4-devel, zlib-devel
BuildRequires:  procps, syslog
%if %{threading}
Provides: upenn-perl(:WITH_THREADS)
%else
Provides: upenn-perl(:WITHOUT_THREADS)
%endif

%description
Perl is a high-level programming language with roots in C, sed, awk
and shell scripting.  Perl is good at handling processes and files,
and is especially good at handling text.  Perl's hallmarks are
practicality and efficiency.  While it is used to do a lot of
different things, Perl's most common applications are system
administration utilities and web programming.  A large proportion of
the CGI scripts on the web are written in Perl.  You need the perl
package installed on your system so that your system can handle Perl
scripts.

Install this package if you want to program in Perl or enable your
system to handle Perl scripts.

%package libs
Summary:        The libraries for the perl runtime
Group:          Development/Languages
License:        GPL+ or Artistic
Requires:       upenn-perl = %{perl_version}-%{release}

%description libs
The libraries for the perl runtime


%package devel
Summary:        Header files for use in perl development
Group:          Development/Languages
License:        GPL+ or Artistic
Requires:       upenn-perl = %{perl_version}-%{release}

%description devel
This package contains header files and development modules.
Most perl packages will need to install perl-devel to build.


#%package suidperl
#Summary:        Suidperl, for use with setuid perl scripts
#Group:          Development/Languages
#License:        GPL+ or Artistic
#Requires:       upenn-perl = %{perl_version}-%{release}

#%description suidperl
#Suidperl is a setuid binary copy of perl that allows for (hopefully)
#more secure running of setuid perl scripts.

%package core
Summary:        Base perl metapackage
Group:          Development/Languages
License:        GPL+ or Artistic
Version:        %{perl_version}
Requires:       upenn-perl = %{perl_version}-%{release}
Requires:       upenn-perl-libs = %{perl_version}-%{release}
Requires:       upenn-perl-devel = %{perl_version}-%{release}

%description core
A metapackage which requires all of the perl bits and modules in the
upstream tarball from perl.org.

%prep
%setup -q -n perl-%{version}

%build
echo "RPM Build arch: %{_arch}"

# use "lib", not %{_lib}, for privlib, sitelib, and vendorlib

#/bin/sh Configure -des -Doptimize="$RPM_OPT_FLAGS -DPERL_USE_SAFE_PUTENV" \
/bin/sh Configure -des -Doptimize="-DPERL_USE_SAFE_PUTENV" \
        -Dversion=%{perl_version} \
        -Dmyhostname=localhost \
        -Dperladmin=root@localhost \
        -Dcc='%{__cc}' \
        -Dcf_by='University of Pennsylvania' \
        -Dprefix=%{_prefix} \
        -Dvendorprefix=%{_prefix} \
        -Dsiteprefix=%{_prefix} \
        -Dprivlib="%{_prefix}/lib/perl5/%{perl_version}" \
        -Dsitelib="%{_prefix}/lib/perl5/site_perl/%{perl_version}" \
        -Dvendorlib="%{_prefix}/lib/perl5/vendor_perl/%{perl_version}" \
        -Darchlib="%{_libdir}/perl5/%{perl_version}/%{perl_archname}" \
        -Dsitearch="%{_prefix}/lib/perl5/site_perl/%{perl_version}/%{perl_archname}" \
        -Dvendorarch="%{_libdir}/perl5/vendor_perl/%{perl_version}/%{perl_archname}" \
        -Dinc_version_list=none \
        -Darchname=%{perl_archname} \
%ifarch %{multilib_64_archs}
        -Dlibpth="/usr/local/lib64 /lib64 /usr/lib64" \
%endif
        -Duseshrplib \
%if %threading
        -Dusethreads \
%else
        -Uusethreads \
%endif
        -Duselargefiles \
        -Ud_dosuid \
        -Dd_semctl_semun \
        -Di_db \
        -Di_shadow \
        -Di_syslog \
        -Dman3ext=3pm \
        -Duseperlio \
        -Dinstallusrbinperl=n \
        -Ubincompat5005 \
        -Uversiononly \
        -Dpager='/usr/bin/less -isr' \
        -Dd_gethostent_r_proto -Ud_endhostent_r_proto -Ud_sethostent_r_proto \
        -Ud_endprotoent_r_proto -Ud_setprotoent_r_proto \
        -Ud_endservent_r_proto -Ud_setservent_r_proto \
        -Dscriptdir='%{_bindir}'

#        -Ui_ndbm \
#        -Di_gdbm \
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%define new_perl_lib  $RPM_BUILD_ROOT%{_libdir}/perl5/%{version}
%define comp_perl_lib $RPM_BUILD_ROOT%{_prefix}/lib/perl5/%{version}
%define new_arch_lib  $RPM_BUILD_ROOT%{_libdir}/perl5/%{version}/%{perl_archname}
%define new_vendor_lib $RPM_BUILD_ROOT%{_libdir}/perl5/vendor_perl/%{version}
%define comp_vendor_lib $RPM_BUILD_ROOT%{_prefix}/lib/perl5/vendor_perl/%{version}
%define new_perl_flags LD_PRELOAD=%{new_arch_lib}/CORE/libperl.so LD_LIBRARY_PATH=%{new_arch_lib}/CORE PERL5LIB=%{new_perl_lib}:%{comp_perl_lib}
%define new_perl %{new_perl_flags} $RPM_BUILD_ROOT%{_bindir}/perl

# perl doesn't create this directory, but modules put things in it, so we need to own it.
mkdir -p -m 755 %{new_vendor_lib}/%{perl_archname}/auto

%ifarch %{multilib_64_archs}
%ifarch x86_64
%define arch32 i386
%endif
%ifarch s390x
%define arch32 s390
%endif
%ifarch ppc64
%define arch32 ppc
%endif
%ifarch sparc64
%define arch32 sparc
%endif
mkdir -p -m 755 %{comp_perl_lib} %{comp_vendor_lib}{,/%{arch32}-%{_os}%{perl_arch_stem}}/auto
%endif

install -p -m 755 utils/pl2pm ${RPM_BUILD_ROOT}%{_bindir}/pl2pm

#for i in asm/termios.h syscall.h syslimits.h syslog.h sys/ioctl.h sys/socket.h sys/time.h wait.h
#do
#  %{new_perl} $RPM_BUILD_ROOT%{_bindir}/h2ph -a -d %{new_arch_lib} $i || /bin/true
#done

#
# Core modules removal
#
#mkdir -p %{comp_perl_lib}/CGI/eg/
#cp -a lib/CGI/eg/* %{comp_perl_lib}/CGI/eg/

# Cleanup binary paths and make cgi files executable
#pushd %{comp_perl_lib}/CGI/eg/
#  for i in *.cgi make_links.pl RunMeFirst ; do
#    sed -i 's|%{_prefix}/bin/perl|%{_bindir}/perl|g' $i
#    chmod +x $i
#  done
#popd

# Don't need the .packlist
#rm -f %{new_arch_lib}/.packlist

# Fix some manpages to be UTF-8
chmod -R u+w $RPM_BUILD_ROOT/*

# Compress Changes* to save space
%{__gzip} Changes*

# Local patch tracking
%clean
rm -rf $RPM_BUILD_ROOT

%check
# TODO - test fails for an obscure MANIFEST problem this should be fixed.
# So we use coretest instead
#make coretest
/bin/true

%post devel
cd %{_oldincludedir} && %{_bindir}/h2ph -r -l .

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc Artistic AUTHORS Changes* Copying README
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*
%{_bindir}/*
%{_libdir}/perl5/
%ifarch %{multilib_64_archs}
%{_prefix}/lib/perl5/
%endif

# libs
%exclude %{_libdir}/perl5/%{perl_version}/%{perl_archname}/CORE/libperl.so

# devel
%exclude %{_bindir}/enc2xs
%exclude %{_mandir}/man1/enc2xs*
%exclude %{_bindir}/h2xs
%exclude %{_mandir}/man1/h2xs*
%exclude %{_bindir}/libnetcfg
%exclude %{_mandir}/man1/libnetcfg*
%exclude %{_bindir}/perlivp
%exclude %{_mandir}/man1/perlivp*
%exclude %{_libdir}/perl5/%{perl_version}/%{perl_archname}/CORE/*.h
%exclude %{_bindir}/xsubpp
%exclude %{_mandir}/man1/xsubpp*

# suidperl
#%exclude %{_bindir}/suidperl
#%exclude %{_bindir}/sperl%{perl_version}

# Archive-Extract
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Archive/Extract.pm
#%exclude %{_mandir}/man3/Archive::Extract.3*

# Archive-Tar
#%exclude %{_bindir}/ptar
#%exclude %{_bindir}/ptardiff
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Archive/Tar/
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Archive/Tar.pm
#%exclude %{_mandir}/man1/ptar.1*
#%exclude %{_mandir}/man1/ptardiff.1*
#%exclude %{_mandir}/man3/Archive::Tar*

# CPAN
#%exclude %{_bindir}/cpan
#%exclude %{_prefix}/lib/perl5/%{perl_version}/CPAN/
#%exclude %{_prefix}/lib/perl5/%{perl_version}/CPAN.pm
#%exclude %{_mandir}/man1/cpan.1*
#%exclude %{_mandir}/man3/CPAN.*
#%exclude %{_mandir}/man3/CPAN:*

# CPANPLUS
#%exclude %{_bindir}/cpan2dist
#%exclude %{_bindir}/cpanp
#%exclude %{_bindir}/cpanp-run-perl
#%exclude %{_prefix}/lib/perl5/%{perl_version}/CPANPLUS/
#%exclude %{_prefix}/lib/perl5/%{perl_version}/CPANPLUS.pm
#%exclude %{_mandir}/man1/cpan2dist.1*
#%exclude %{_mandir}/man1/cpanp.1*
#%exclude %{_mandir}/man3/CPANPLUS*

# Compress::Raw::Zlib
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/Compress
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/Compress/Raw/
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/auto/Compress
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/auto/Compress/Raw/
#%exclude %{_mandir}/man3/Compress::Raw::Zlib*

# Compress::Zlib
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/Compress/Zlib.pm
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/auto/Compress/Zlib/
#%exclude %{_mandir}/man3/Compress::Zlib*

# Digest::SHA
#%exclude %{_bindir}/shasum
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/Digest/SHA.pm
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/auto/Digest/SHA/
#%exclude %{_mandir}/man1/shasum.1*
#%exclude %{_mandir}/man3/Digest::SHA.3*

# ExtUtils::CBuilder
#%exclude %{_prefix}/lib/perl5/%{perl_version}/ExtUtils/CBuilder/
#%exclude %{_prefix}/lib/perl5/%{perl_version}/ExtUtils/CBuilder.pm
#%exclude %{_mandir}/man3/ExtUtils::CBuilder*

# ExtUtils::Embed
#%exclude %{_prefix}/lib/perl5/%{perl_version}/ExtUtils/Embed.pm
#%exclude %{_mandir}/man3/ExtUtils::Embed*

# ExtUtils::MakeMaker
#%exclude %{_bindir}/instmodsh
#%exclude %{_prefix}/lib/perl5/%{perl_version}/ExtUtils/Command/
#%exclude %{_prefix}/lib/perl5/%{perl_version}/ExtUtils/Install.pm
#%exclude %{_prefix}/lib/perl5/%{perl_version}/ExtUtils/Installed.pm
#%exclude %{_prefix}/lib/perl5/%{perl_version}/ExtUtils/Liblist/
#%exclude %{_prefix}/lib/perl5/%{perl_version}/ExtUtils/Liblist.pm
#%exclude %{_prefix}/lib/perl5/%{perl_version}/ExtUtils/MakeMaker/
#%exclude %{_prefix}/lib/perl5/%{perl_version}/ExtUtils/MakeMaker.pm
#%exclude %{_prefix}/lib/perl5/%{perl_version}/ExtUtils/MANIFEST.SKIP
#%exclude %{_prefix}/lib/perl5/%{perl_version}/ExtUtils/MM*.pm
#%exclude %{_prefix}/lib/perl5/%{perl_version}/ExtUtils/MY.pm
#%exclude %{_prefix}/lib/perl5/%{perl_version}/ExtUtils/Manifest.pm
#%exclude %{_prefix}/lib/perl5/%{perl_version}/ExtUtils/Mkbootstrap.pm
#%exclude %{_prefix}/lib/perl5/%{perl_version}/ExtUtils/Mksymlists.pm
#%exclude %{_prefix}/lib/perl5/%{perl_version}/ExtUtils/Packlist.pm
#%exclude %{_prefix}/lib/perl5/%{perl_version}/ExtUtils/testlib.pm
#%exclude %{_mandir}/man1/instmodsh.1*
#%exclude %{_mandir}/man3/ExtUtils::Command::MM*
#%exclude %{_mandir}/man3/ExtUtils::Install.3*
#%exclude %{_mandir}/man3/ExtUtils::Installed.3*
#%exclude %{_mandir}/man3/ExtUtils::Liblist.3*
#%exclude %{_mandir}/man3/ExtUtils::MM*
#%exclude %{_mandir}/man3/ExtUtils::MY.3*
#%exclude %{_mandir}/man3/ExtUtils::MakeMaker*
#%exclude %{_mandir}/man3/ExtUtils::Manifest.3*
#%exclude %{_mandir}/man3/ExtUtils::Mkbootstrap.3*
#%exclude %{_mandir}/man3/ExtUtils::Mksymlists.3*
#%exclude %{_mandir}/man3/ExtUtils::Packlist.3*
#%exclude %{_mandir}/man3/ExtUtils::testlib.3*

# ExtUtils::ParseXS
#%exclude %{_prefix}/lib/perl5/%{perl_version}/ExtUtils/ParseXS.pm
#%exclude %{_prefix}/lib/perl5/%{perl_version}/ExtUtils/xsubpp
#%exclude %{_mandir}/man3/ExtUtils::ParseXS.3*

# File::Fetch
#%exclude %{_prefix}/lib/perl5/%{perl_version}/File/Fetch.pm
#%exclude %{_mandir}/man3/File::Fetch.3*

# IO::Compress::Base
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/File/GlobMapper.pm
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/IO/Compress/Base/
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/IO/Compress/Base.pm
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/IO/Uncompress/AnyUncompress.pm
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/IO/Uncompress/Base.pm
#%exclude %{_mandir}/man3/File::GlobMapper.*
#%exclude %{_mandir}/man3/IO::Compress::Base.*
#%exclude %{_mandir}/man3/IO::Uncompress::AnyUncompress.*
#%exclude %{_mandir}/man3/IO::Uncompress::Base.*

# IO::Compress::Zlib
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/IO/Compress/Adapter/
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/IO/Compress/Deflate.pm
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/IO/Compress/Gzip/
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/IO/Compress/Gzip.pm
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/IO/Compress/RawDeflate.pm
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/IO/Compress/Zip/
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/IO/Compress/Zip.pm
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/IO/Compress/Zlib/
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/IO/Uncompress/Adapter/
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/IO/Uncompress/AnyInflate.pm
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/IO/Uncompress/Gunzip.pm
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/IO/Uncompress/Inflate.pm
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/IO/Uncompress/RawInflate.pm
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/IO/Uncompress/Unzip.pm
#%exclude %{_mandir}/man3/IO::Compress::Deflate*
#%exclude %{_mandir}/man3/IO::Compress::Gzip*
#%exclude %{_mandir}/man3/IO::Compress::RawDeflate*
#%exclude %{_mandir}/man3/IO::Compress::Zip*
#%exclude %{_mandir}/man3/IO::Uncompress::AnyInflate*
#%exclude %{_mandir}/man3/IO::Uncompress::Gunzip*
#%exclude %{_mandir}/man3/IO::Uncompress::Inflate*
#%exclude %{_mandir}/man3/IO::Uncompress::RawInflate*
#%exclude %{_mandir}/man3/IO::Uncompress::Unzip*

# IO::Zlib
#%exclude %{_prefix}/lib/perl5/%{perl_version}/IO/Zlib.pm
#%exclude %{_mandir}/man3/IO::Zlib.*

# IPC::Cmd
#%exclude %{_prefix}/lib/perl5/%{perl_version}/IPC/Cmd.pm
#%exclude %{_mandir}/man3/IPC::Cmd.3*

# Locale::Maketext::Simple
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Locale/Maketext/Simple.pm
#%exclude %{_mandir}/man3/Locale::Maketext::Simple.*

# Log::Message
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Log/Message.pm
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Log/Message/Config.pm
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Log/Message/Handlers.pm
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Log/Message/Item.pm
#%exclude %{_mandir}/man3/Log::Message.3*
#%exclude %{_mandir}/man3/Log::Message::Config.3*
#%exclude %{_mandir}/man3/Log::Message::Handlers.3*
#%exclude %{_mandir}/man3/Log::Message::Item.3*

# Log::Message::Simple
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Log/Message/Simple.pm
#%exclude %{_mandir}/man3/Log::Message::Simple.3*

# Module::Build
#%exclude %{_bindir}/config_data
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Module/Build/
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Module/Build.pm
#%exclude %{_mandir}/man1/config_data.1*
#%exclude %{_mandir}/man3/Module::Build*

# Module-CoreList
#%exclude %{_bindir}/corelist
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Module/CoreList.pm
#%exclude %{_mandir}/man1/corelist*
#%exclude %{_mandir}/man3/Module::CoreList*

# Module-Load
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Module/Load.pm
#%exclude %{_mandir}/man3/Module::Load.*

# Module-Load-Conditional
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Module/Load/
#%exclude %{_mandir}/man3/Module::Load::Conditional*

# Module-Loaded
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Module/Loaded.pm
#%exclude %{_mandir}/man3/Module::Loaded*

# Module-Pluggable
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Devel/InnerPackage.pm
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Module/Pluggable/
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Module/Pluggable.pm
#%exclude %{_mandir}/man3/Devel::InnerPackage*
#%exclude %{_mandir}/man3/Module::Pluggable*

# Object-Accessor
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Object/
#%exclude %{_mandir}/man3/Object::Accessor*

# Package-Constants
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Package/
#%exclude %{_mandir}/man3/Package::Constants*

# Params-Check
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Params/
#%exclude %{_mandir}/man3/Params::Check*

# Pod-Escapes
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Pod/Escapes.pm
#%exclude %{_mandir}/man3/Pod::Escapes.*

# Pod-Simple
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Pod/Simple/
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Pod/Simple.pm
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Pod/Simple.pod
#%exclude %{_mandir}/man3/Pod::Simple*

# Term-UI
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Term/UI.pm
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Term/UI/
#%exclude %{_mandir}/man3/Term::UI*

# Test::Harness
#%exclude %{_bindir}/prove
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Test/Harness*
#%exclude %{_mandir}/man1/prove.1*
#%exclude %{_mandir}/man3/Test::Harness*

# Test::Simple
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Test/More*
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Test/Builder*
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Test/Simple*
#%exclude %{_prefix}/lib/perl5/%{perl_version}/Test/Tutorial*
#%exclude %{_mandir}/man3/Test::More*
#%exclude %{_mandir}/man3/Test::Builder*
#%exclude %{_mandir}/man3/Test::Simple*
#%exclude %{_mandir}/man3/Test::Tutorial*

# Time::Piece
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/Time/Piece.pm
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/Time/Seconds.pm
#%exclude %{_libdir}/perl5/%{version}/%{perl_archname}/auto/Time/Piece/
#%exclude %{_mandir}/man3/Time::Piece.3*
#%exclude %{_mandir}/man3/Time::Seconds.3*

# version
#%exclude %{_prefix}/lib/perl5/%{perl_version}/version.pm
#%exclude %{_prefix}/lib/perl5/%{perl_version}/version.pod
#%exclude %{_mandir}/man3/version.*

%files libs
%defattr(-,root,root)
%{_libdir}/perl5/%{perl_version}/%{perl_archname}/CORE/libperl.so

%files devel
%defattr(-,root,root,-)
%{_bindir}/enc2xs
%{_mandir}/man1/enc2xs*
%{_bindir}/h2xs
%{_mandir}/man1/h2xs*
%{_bindir}/libnetcfg
%{_mandir}/man1/libnetcfg*
%{_bindir}/perlivp
%{_mandir}/man1/perlivp*
%{_libdir}/perl5/%{perl_version}/%{perl_archname}/CORE/*.h
%{_bindir}/xsubpp
%{_mandir}/man1/xsubpp*

#%files suidperl
#%defattr(-,root,root,-)
#%{_bindir}/suidperl
#%{_bindir}/sperl%{perl_version}

#%files Archive-Extract
%defattr(-,root,root,-)
#%{_prefix}/lib/perl5/%{perl_version}/Archive/
#%{_mandir}/man3/Archive::Extract.3*

#%files Archive-Tar
%defattr(-,root,root,-)
#%{_bindir}/ptar
#%{_bindir}/ptardiff
#%{_prefix}/lib/perl5/%{perl_version}/Archive/Tar/ 
#%{_prefix}/lib/perl5/%{perl_version}/Archive/Tar.pm
#%{_mandir}/man1/ptar.1*
#%{_mandir}/man1/ptardiff.1*
#%{_mandir}/man3/Archive::Tar* 

#%files Compress-Raw-Zlib
%defattr(-,root,root,-)
#%dir %{_libdir}/perl5/%{version}/%{perl_archname}/Compress
#%{_libdir}/perl5/%{version}/%{perl_archname}/Compress/Raw/
#%dir %{_libdir}/perl5/%{version}/%{perl_archname}/auto/Compress/
#%{_libdir}/perl5/%{version}/%{perl_archname}/auto/Compress/Raw/
#%{_mandir}/man3/Compress::Raw::Zlib*

#%files Compress-Zlib
%defattr(-,root,root,-)
#%{_libdir}/perl5/%{version}/%{perl_archname}/Compress/Zlib.pm
#%{_libdir}/perl5/%{version}/%{perl_archname}/auto/Compress/Zlib/
#%{_mandir}/man3/Compress::Zlib*

#%files CPAN
%defattr(-,root,root,-)
#%{_bindir}/cpan
#%{_prefix}/lib/perl5/%{perl_version}/CPAN/
#%{_prefix}/lib/perl5/%{perl_version}/CPAN.pm
#%{_mandir}/man1/cpan.1*
#%{_mandir}/man3/CPAN.*
#%{_mandir}/man3/CPAN:*

#%files CPANPLUS
%defattr(-,root,root,-)
#%{_bindir}/cpan2dist
#%{_bindir}/cpanp
#%{_bindir}/cpanp-run-perl
#%{_prefix}/lib/perl5/%{perl_version}/CPANPLUS/
#%{_prefix}/lib/perl5/%{perl_version}/CPANPLUS.pm
#%{_mandir}/man1/cpan2dist.1*
#%{_mandir}/man1/cpanp.1*
#%{_mandir}/man3/CPANPLUS*

#%files Digest-SHA
%defattr(-,root,root,-)
#%{_bindir}/shasum
#%dir %{_libdir}/perl5/%{version}/%{perl_archname}/Digest/
#%{_libdir}/perl5/%{version}/%{perl_archname}/Digest/SHA.pm
#%{_libdir}/perl5/%{version}/%{perl_archname}/auto/Digest/SHA/
#%{_mandir}/man1/shasum.1*
#%{_mandir}/man3/Digest::SHA.3*

#%files ExtUtils-CBuilder
%defattr(-,root,root,-)
#%{_prefix}/lib/perl5/%{perl_version}/ExtUtils/CBuilder/
#%{_prefix}/lib/perl5/%{perl_version}/ExtUtils/CBuilder.pm
#%{_mandir}/man3/ExtUtils::CBuilder*

#%files ExtUtils-Embed
%defattr(-,root,root,-)
#%{_prefix}/lib/perl5/%{perl_version}/ExtUtils/Embed.pm
#%{_mandir}/man3/ExtUtils::Embed*

#%files ExtUtils-MakeMaker
%defattr(-,root,root,-)
#%{_bindir}/instmodsh
#%{_prefix}/lib/perl5/%{perl_version}/ExtUtils/Command/
#%{_prefix}/lib/perl5/%{perl_version}/ExtUtils/Install.pm
#%{_prefix}/lib/perl5/%{perl_version}/ExtUtils/Installed.pm
#%{_prefix}/lib/perl5/%{perl_version}/ExtUtils/Liblist/
#%{_prefix}/lib/perl5/%{perl_version}/ExtUtils/Liblist.pm
#%{_prefix}/lib/perl5/%{perl_version}/ExtUtils/MakeMaker/
#%{_prefix}/lib/perl5/%{perl_version}/ExtUtils/MakeMaker.pm
#%{_prefix}/lib/perl5/%{perl_version}/ExtUtils/MANIFEST.SKIP
#%{_prefix}/lib/perl5/%{perl_version}/ExtUtils/MM*.pm
#%{_prefix}/lib/perl5/%{perl_version}/ExtUtils/MY.pm
#%{_prefix}/lib/perl5/%{perl_version}/ExtUtils/Manifest.pm
#%{_prefix}/lib/perl5/%{perl_version}/ExtUtils/Mkbootstrap.pm
#%{_prefix}/lib/perl5/%{perl_version}/ExtUtils/Mksymlists.pm
#%{_prefix}/lib/perl5/%{perl_version}/ExtUtils/Packlist.pm
#%{_prefix}/lib/perl5/%{perl_version}/ExtUtils/testlib.pm
#%{_mandir}/man1/instmodsh.1*
#%{_mandir}/man3/ExtUtils::Command::MM*
#%{_mandir}/man3/ExtUtils::Install.3*
#%{_mandir}/man3/ExtUtils::Installed.3*
#%{_mandir}/man3/ExtUtils::Liblist.3*
#%{_mandir}/man3/ExtUtils::MM*
#%{_mandir}/man3/ExtUtils::MY.3*
#%{_mandir}/man3/ExtUtils::MakeMaker*
#%{_mandir}/man3/ExtUtils::Manifest.3*
#%{_mandir}/man3/ExtUtils::Mkbootstrap.3*
#%{_mandir}/man3/ExtUtils::Mksymlists.3*
#%{_mandir}/man3/ExtUtils::Packlist.3*
#%{_mandir}/man3/ExtUtils::testlib.3*

#%files ExtUtils-ParseXS
%defattr(-,root,root,-)
#%{_prefix}/lib/perl5/%{perl_version}/ExtUtils/ParseXS.pm
#%{_prefix}/lib/perl5/%{perl_version}/ExtUtils/xsubpp
#%{_mandir}/man3/ExtUtils::ParseXS.3*

#%files File-Fetch
%defattr(-,root,root,-)
#%{_prefix}/lib/perl5/%{perl_version}/File/Fetch.pm
#%{_mandir}/man3/File::Fetch.3*

#%files IO-Compress-Base
%defattr(-,root,root,-)
#%{_libdir}/perl5/%{version}/%{perl_archname}/File/GlobMapper.pm
#%{_libdir}/perl5/%{version}/%{perl_archname}/IO/Compress/Base/
#%{_libdir}/perl5/%{version}/%{perl_archname}/IO/Compress/Base.pm
#%{_libdir}/perl5/%{version}/%{perl_archname}/IO/Uncompress/AnyUncompress.pm
#%{_libdir}/perl5/%{version}/%{perl_archname}/IO/Uncompress/Base.pm
#%{_mandir}/man3/File::GlobMapper.*
#%{_mandir}/man3/IO::Compress::Base.*
#%{_mandir}/man3/IO::Uncompress::AnyUncompress.*
#%{_mandir}/man3/IO::Uncompress::Base.*

#%files IO-Compress-Zlib
%defattr(-,root,root,-)
#%{new_perl_lib}/IO/Compress/Adapter/
#%{new_perl_lib}/IO/Compress/Deflate.pm
#%{new_perl_lib}/IO/Compress/Gzip/
#%{new_perl_lib}/IO/Compress/Gzip.pm
#%{new_perl_lib}/IO/Compress/RawDeflate.pm
#%{new_perl_lib}/IO/Compress/Zip/
#%{new_perl_lib}/IO/Compress/Zip.pm
#%{new_perl_lib}/IO/Compress/Zlib/
#%{new_perl_lib}/IO/Uncompress/Adapter/
#%{new_perl_lib}/IO/Uncompress/AnyInflate.pm
#%{new_perl_lib}/IO/Uncompress/Gunzip.pm
#%{new_perl_lib}/IO/Uncompress/Inflate.pm
#%{new_perl_lib}/IO/Uncompress/RawInflate.pm
#%{new_perl_lib}/IO/Uncompress/Unzip.pm
##%{_libdir}/perl5/%{version}/%{perl_archname}/IO/Compress/Adapter/
##%{_libdir}/perl5/%{version}/%{perl_archname}/IO/Compress/Deflate.pm
##%{_libdir}/perl5/%{version}/%{perl_archname}/IO/Compress/Gzip/
##%{_libdir}/perl5/%{version}/%{perl_archname}/IO/Compress/Gzip.pm
##%{_libdir}/perl5/%{version}/%{perl_archname}/IO/Compress/RawDeflate.pm
##%{_libdir}/perl5/%{version}/%{perl_archname}/IO/Compress/Zip/
##%{_libdir}/perl5/%{version}/%{perl_archname}/IO/Compress/Zip.pm
##%{_libdir}/perl5/%{version}/%{perl_archname}/IO/Compress/Zlib/
##%{_libdir}/perl5/%{version}/%{perl_archname}/IO/Uncompress/Adapter/
##%{_libdir}/perl5/%{version}/%{perl_archname}/IO/Uncompress/AnyInflate.pm
##%{_libdir}/perl5/%{version}/%{perl_archname}/IO/Uncompress/Gunzip.pm
##%{_libdir}/perl5/%{version}/%{perl_archname}/IO/Uncompress/Inflate.pm
##%{_libdir}/perl5/%{version}/%{perl_archname}/IO/Uncompress/RawInflate.pm
##%{_libdir}/perl5/%{version}/%{perl_archname}/IO/Uncompress/Unzip.pm
#%{_mandir}/man3/IO::Compress::Deflate*
#%{_mandir}/man3/IO::Compress::Gzip*
#%{_mandir}/man3/IO::Compress::RawDeflate*
#%{_mandir}/man3/IO::Compress::Zip*
#%{_mandir}/man3/IO::Uncompress::AnyInflate*
#%{_mandir}/man3/IO::Uncompress::Gunzip*
#%{_mandir}/man3/IO::Uncompress::Inflate*
#%{_mandir}/man3/IO::Uncompress::RawInflate*
#%{_mandir}/man3/IO::Uncompress::Unzip*

#%files IO-Zlib
%defattr(-,root,root,-)
#%{_prefix}/lib/perl5/%{perl_version}/IO/Zlib.pm
#%{_mandir}/man3/IO::Zlib.*

#%files IPC-Cmd
%defattr(-,root,root,-)
#%{_prefix}/lib/perl5/%{perl_version}/IPC/Cmd.pm
#%{_mandir}/man3/IPC::Cmd.3*

#%files Locale-Maketext-Simple
%defattr(-,root,root,-)
#%{_prefix}/lib/perl5/%{perl_version}/Locale/Maketext/Simple.pm
#%{_mandir}/man3/Locale::Maketext::Simple.*

#%files Log-Message
%defattr(-,root,root,-)
#%{_prefix}/lib/perl5/%{perl_version}/Log/Message.pm
#%{_prefix}/lib/perl5/%{perl_version}/Log/Message/Config.pm
#%{_prefix}/lib/perl5/%{perl_version}/Log/Message/Handlers.pm
#%{_prefix}/lib/perl5/%{perl_version}/Log/Message/Item.pm
#%{_mandir}/man3/Log::Message.3*
#%{_mandir}/man3/Log::Message::Config.3*
#%{_mandir}/man3/Log::Message::Handlers.3*
#%{_mandir}/man3/Log::Message::Item.3*

#%files Log-Message-Simple
%defattr(-,root,root,-)
#%{_prefix}/lib/perl5/%{perl_version}/Log/Message/Simple.pm
#%{_mandir}/man3/Log::Message::Simple.3*

#%files Module-Build
%defattr(-,root,root,-)
#%{_bindir}/config_data
#%{_prefix}/lib/perl5/%{perl_version}/Module/Build/
#%{_prefix}/lib/perl5/%{perl_version}/Module/Build.pm
#%{_mandir}/man1/config_data.1*
#%{_mandir}/man3/Module::Build*

#%files Module-CoreList
%defattr(-,root,root,-)
#%{_bindir}/corelist
#%{_prefix}/lib/perl5/%{perl_version}/Module/CoreList.pm
#%{_mandir}/man1/corelist*
#%{_mandir}/man3/Module::CoreList*

#%files Module-Load
%defattr(-,root,root,-)
#%{_prefix}/lib/perl5/%{perl_version}/Module/Load.pm
#%{_mandir}/man3/Module::Load.*

#%files Module-Load-Conditional
%defattr(-,root,root,-)
#%{_prefix}/lib/perl5/%{perl_version}/Module/Load/
#%{_mandir}/man3/Module::Load::Conditional* 

#%files Module-Loaded
%defattr(-,root,root,-)
%dir %{_prefix}/lib/perl5/%{perl_version}/Module/
#%{_prefix}/lib/perl5/%{perl_version}/Module/Loaded.pm
#%{_mandir}/man3/Module::Loaded*

#%files Module-Pluggable
%defattr(-,root,root,-)
#%{_prefix}/lib/perl5/%{perl_version}/Devel/InnerPackage.pm
#%{_prefix}/lib/perl5/%{perl_version}/Module/Pluggable/
#%{_prefix}/lib/perl5/%{perl_version}/Module/Pluggable.pm
#%{_mandir}/man3/Devel::InnerPackage*
#%{_mandir}/man3/Module::Pluggable*

#%files Object-Accessor
%defattr(-,root,root,-)
#%{_prefix}/lib/perl5/%{perl_version}/Object/
#%{_mandir}/man3/Object::Accessor*

#%files Package-Constants
%defattr(-,root,root,-)
#%{_prefix}/lib/perl5/%{perl_version}/Package/
#%{_mandir}/man3/Package::Constants*

#%files Params-Check
%defattr(-,root,root,-)
#%{_prefix}/lib/perl5/%{perl_version}/Params/
#%{_mandir}/man3/Params::Check*

#%files Pod-Escapes
%defattr(-,root,root,-)
#%{_prefix}/lib/perl5/%{perl_version}/Pod/Escapes.pm
#%{_mandir}/man3/Pod::Escapes.*

#%files Pod-Simple
%defattr(-,root,root,-)
#%{_prefix}/lib/perl5/%{perl_version}/Pod/Simple/ 
#%{_prefix}/lib/perl5/%{perl_version}/Pod/Simple.pm
#%{_prefix}/lib/perl5/%{perl_version}/Pod/Simple.pod
#%{_mandir}/man3/Pod::Simple*

#%files Term-UI
%defattr(-,root,root,-)
#%{_prefix}/lib/perl5/%{perl_version}/Term/UI/
#%{_prefix}/lib/perl5/%{perl_version}/Term/UI.pm
#%{_mandir}/man3/Term::UI*

#%files Test-Harness
%defattr(-,root,root,-)
#%{_bindir}/prove
#%{_prefix}/lib/perl5/%{perl_version}/Test/Harness*
#%{_mandir}/man1/prove.1*
#%{_mandir}/man3/Test::Harness*

#%files Test-Simple
%defattr(-,root,root,-)
#%{_prefix}/lib/perl5/%{perl_version}/Test/More*
#%{_prefix}/lib/perl5/%{perl_version}/Test/Builder*
#%{_prefix}/lib/perl5/%{perl_version}/Test/Simple*
#%{_prefix}/lib/perl5/%{perl_version}/Test/Tutorial*
#%{_mandir}/man3/Test::More*
#%{_mandir}/man3/Test::Builder*
#%{_mandir}/man3/Test::Simple*
#%{_mandir}/man3/Test::Tutorial*

#%files Time-Piece
%defattr(-,root,root,-)
#%{_libdir}/perl5/%{version}/%{perl_archname}/Time/Piece.pm 
#%{_libdir}/perl5/%{version}/%{perl_archname}/Time/Seconds.pm
#%{_libdir}/perl5/%{version}/%{perl_archname}/auto/Time/Piece/        
#%{_mandir}/man3/Time::Piece.3*
#%{_mandir}/man3/Time::Seconds.3*

#%files version
%defattr(-,root,root,-)
#%{_prefix}/lib/perl5/%{perl_version}/version.pm
#%{_prefix}/lib/perl5/%{perl_version}/version.pod
#%{_mandir}/man3/version.*

%files core
# Nothing. Nada. Zilch. Zarro. Uh uh. Nope. Sorry.

%changelog
* Tue Aug  3 2010 Garick Hamlin <ghamlin@isc.upenn.edu> - 5.12.1-1
- Gutted a spec file untl I understood it.
